From d3a6f61fc688fe76dcb6851665b4db1e58f3c8e5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 05 2020 21:27:06 +0000
Subject: [PATCH 1277/2232] Clean up wording of include_dir vs crate_dir sort comment


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 8c4e999..7bfc3e7 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -186,10 +186,10 @@ fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Resul
         exported_header_dirs: Vec::new(),
     };
 
-    // The crate_dir is placed after the generated code directory (include_dir)
-    // on the include line so that `#include "path/to/file.rs"` from C++
-    // "magically" works and refers to the API generated from that Rust source
-    // file.
+    // The generated code directory (include_dir) is placed in front of
+    // crate_dir on the include line so that `#include "path/to/file.rs"` from
+    // C++ "magically" works and refers to the API generated from that Rust
+    // source file.
     this_crate.exported_header_dirs.push(include_dir);
     this_crate.exported_header_dirs.extend(crate_dir);
     this_crate.print_to_cargo();

